import request from '@/utils/request'

// 查询报警信息列表
export function listBaseAlarmInfo(query) {
  return request({
    url: '/base/baseAlarmInfo/list',
    method: 'get',
    params: query
  })
}

// 查询报警信息详细
export function getBaseAlarmInfo(objId) {
  return request({
    url: '/base/baseAlarmInfo/' + objId,
    method: 'get'
  })
}

// 新增报警信息
export function addBaseAlarmInfo(data) {
  return request({
    url: '/base/baseAlarmInfo',
    method: 'post',
    data: data
  })
}

// 修改报警信息
export function updateBaseAlarmInfo(data) {
  return request({
    url: '/base/baseAlarmInfo',
    method: 'put',
    data: data
  })
}

// 删除报警信息
export function delBaseAlarmInfo(objId) {
  return request({
    url: '/base/baseAlarmInfo/' + objId,
    method: 'delete'
  })
}
